# SIPMessage::Params Struct Reference

`#include <sippdu.h>`

Inheritance diagram for SIPMessage::Params:

[legend]
Collaboration diagram for SIPMessage::Params:
[legend]

## Public Member Functions

| Params ()

## Data Fields

PCaselessString | m_contentType
PString | m_id
PString | m_body
PAtomicInteger::IntegerType | m_messageId

## Constructor & Destructor Documentation

SIPMessage::Params::Params | ( |  | ) | `[inline]`

## Field Documentation

PString SIPMessage::Params::m_body

PCaselessString SIPMessage::Params::m_contentType

PString SIPMessage::Params::m_id

PAtomicInteger::IntegerType SIPMessage::Params::m_messageId

The documentation for this struct was generated from the following file:

- sippdu.h